% SLA: Crank-Nicholson decay plot

figure;
axes('position',[0.1 0.1 0.8 0.4]);
x = 0:0.1:15;
plot(x,(1-x/2)./(1+x/2),'-', x,exp(-x),'--');
set(gca,'fontsize',16);
hline(0,'k:');
axis([min(x) max(x) -1 1]);
xlabel('\lambda_j \Delta t');
ylabel('a_j(\Delta t)');

print -depsc2 /home/alex/dot/mls/sla/fig/cn.eps
